package router

import (
	"base/app/lib/bean"
	"base/app/router/middleware"
	"github.com/gin-gonic/gin"
)

// @Title 配置路由
func SetRouter(router *gin.Engine) {
	// 跨域
	router.Use(middleware.Cors)
	// 404
	router.NoRoute(func(c *gin.Context) {
		bean.Response.ResultFail(c, 20000, "接口不存在")
	})
	// 后端接口
	//manageRouter(router.Group("manage"))
	// app接口
	//appRouter(router.Group("app"))
}
